diff --git a/astro/marble/pkg-plist b/astro/marble/pkg-plist
index 9f06434b4090..1557207f4560 100644
--- a/astro/marble/pkg-plist
+++ b/astro/marble/pkg-plist
@@ -1,5 +1,6 @@
 bin/marble
-bin/marble-qt
+bin/marble-behaim
+bin/marble-maps
 include/astro/astr2lib.h
 include/astro/astro_version.h
 include/astro/astrolib.h
@@ -96,7 +97,6 @@ include/marble/MapWizard.h
 include/marble/MarbleAboutDialog.h
 include/marble/MarbleColors.h
 include/marble/MarbleDebug.h
-include/marble/MarbleDeclarativePlugin.h
 include/marble/MarbleDirs.h
 include/marble/MarbleGlobal.h
 include/marble/MarbleGraphicsGridLayout.h
@@ -166,7 +166,6 @@ include/marble/ViewportParams.h
 include/marble/WaitEditWidget.h
 include/marble/WidgetGraphicsItem.h
 include/marble/geodata_export.h
-include/marble/marble_declarative_export.h
 include/marble/marble_export.h
 include/marble/marble_version.h
 lib/cmake/Astro/AstroConfig.cmake
@@ -179,11 +178,10 @@ lib/cmake/Marble/MarbleTargets-%%CMAKE_BUILD_TYPE%%.cmake
 lib/cmake/Marble/MarbleTargets.cmake
 lib/libastro.so
 lib/libastro.so.1
-lib/libastro.so.%%KDE_APPLICATIONS_SHLIB_VER%%
-lib/libmarbledeclarative.so
-lib/libmarblewidget-qt5.so
-lib/libmarblewidget-qt5.so.%%KDE_APPLICATIONS_SHLIB_VER%%
-lib/libmarblewidget-qt5.so.28
+lib/libastro.so.%%KDE_APPLICATIONS_VERSION%%
+lib/libmarblewidget-qt6.so
+lib/libmarblewidget-qt6.so.28
+lib/libmarblewidget-qt6.so.%%KDE_APPLICATIONS_VERSION%%
 lib/marble/plugins/AnnotatePlugin.so
 lib/marble/plugins/AprsPlugin.so
 lib/marble/plugins/AtmospherePlugin.so
@@ -233,7 +231,7 @@ lib/marble/plugins/PntPlugin.so
 lib/marble/plugins/PositionMarker.so
 lib/marble/plugins/PostalCode.so
 lib/marble/plugins/ProgressFloatItem.so
-%%GPS%%lib/marble/plugins/QtPositioningPositionProviderPlugin.so
+lib/marble/plugins/QtPositioningPositionProviderPlugin.so
 lib/marble/plugins/RoutingPlugin.so
 lib/marble/plugins/RoutinoPlugin.so
 lib/marble/plugins/SatellitesPlugin.so
@@ -247,19 +245,29 @@ lib/plugins/designer/LatLonEditPlugin.so
 lib/plugins/designer/MarbleNavigatorPlugin.so
 lib/plugins/designer/MarbleWidgetPlugin.so
 %%QT_MKSPECDIR%%/modules/qt_Marble.pri
-%%QT_PLUGINDIR%%/kf5/krunner/plasma_runner_marble.so
+%%QT_PLUGINDIR%%/kf6/krunner/plasma_runner_marble.so
 %%QT_PLUGINDIR%%/libmarble_part.so
 %%QT_PLUGINDIR%%/marblethumbnail.so
-%%QT_QMLDIR%%/org/kde/marble/private/plasma/libmarblequick.so
-%%QT_QMLDIR%%/org/kde/marble/private/plasma/qmldir
+%%QT_QMLDIR%%/org/kde/marble/imageprovider/kde-qmlmodule.version
+%%QT_QMLDIR%%/org/kde/marble/imageprovider/libmarbleimageprovider.so
+%%QT_QMLDIR%%/org/kde/marble/imageprovider/marbleimageprovider.qmltypes
+%%QT_QMLDIR%%/org/kde/marble/imageprovider/qmldir
+%%QT_QMLDIR%%/org/kde/marble/kde-qmlmodule.version
+%%QT_QMLDIR%%/org/kde/marble/libmarbledeclarative.so
+%%QT_QMLDIR%%/org/kde/marble/marbledeclarative.qmltypes
+%%QT_QMLDIR%%/org/kde/marble/qmldir
 share/applications/marble_geo.desktop
 share/applications/marble_geojson.desktop
 share/applications/marble_gpx.desktop
 share/applications/marble_kml.desktop
 share/applications/marble_kmz.desktop
+share/applications/marble_thumbnail_kml.desktop
+share/applications/marble_thumbnail_kmz.desktop
+share/applications/marble_thumbnail_osm.desktop
 share/applications/marble_worldwind.desktop
-share/applications/org.kde.marble-qt.desktop
+share/applications/org.kde.marble.behaim.desktop
 share/applications/org.kde.marble.desktop
+share/applications/org.kde.marble.maps.desktop
 share/config.kcfg/marble.kcfg
 share/icons/hicolor/128x128/apps/marble.png
 share/icons/hicolor/16x16/apps/marble.png
@@ -267,259 +275,336 @@ share/icons/hicolor/22x22/apps/marble.png
 share/icons/hicolor/32x32/apps/marble.png
 share/icons/hicolor/48x48/apps/marble.png
 share/icons/hicolor/64x64/apps/marble.png
-share/kservices5/marble_part.desktop
-share/kservices5/marble_thumbnail_geojson.desktop
-share/kservices5/marble_thumbnail_gpx.desktop
-share/kservices5/marble_thumbnail_kml.desktop
-share/kservices5/marble_thumbnail_kmz.desktop
-share/kservices5/marble_thumbnail_osm.desktop
-share/kservices5/plasma-applet-org.kde.plasma.worldclock.desktop
-share/kservices5/plasma-wallpaper-org.kde.plasma.worldmap.desktop
+share/icons/hicolor/scalable/apps/org.kde.marble.behaim.svg
+share/icons/hicolor/scalable/apps/org.kde.marble.maps.svg
 share/kxmlgui5/marble/marble_part.rc
 share/kxmlgui5/marble/marbleui.rc
+share/locale/ar/LC_MESSAGES/marble-maps.mo
 share/locale/ar/LC_MESSAGES/marble.mo
 share/locale/ar/LC_MESSAGES/marble_qt.qm
 share/locale/ar/LC_MESSAGES/plasma_applet_org.kde.plasma.worldclock.mo
 share/locale/ar/LC_MESSAGES/plasma_runner_marble.mo
 share/locale/ar/LC_MESSAGES/plasma_wallpaper_org.kde.plasma.worldmap.mo
+share/locale/be/LC_MESSAGES/marble-maps.mo
 share/locale/be/LC_MESSAGES/marble.mo
 share/locale/be/LC_MESSAGES/marble_qt.qm
+share/locale/bg/LC_MESSAGES/marble-behaim.mo
+share/locale/bg/LC_MESSAGES/marble-maps.mo
 share/locale/bg/LC_MESSAGES/marble.mo
 share/locale/bg/LC_MESSAGES/marble_qt.qm
 share/locale/bg/LC_MESSAGES/plasma_applet_org.kde.plasma.worldclock.mo
 share/locale/bg/LC_MESSAGES/plasma_runner_marble.mo
 share/locale/bg/LC_MESSAGES/plasma_wallpaper_org.kde.plasma.worldmap.mo
+share/locale/bs/LC_MESSAGES/marble-maps.mo
 share/locale/bs/LC_MESSAGES/marble.mo
 share/locale/bs/LC_MESSAGES/marble_qt.qm
 share/locale/bs/LC_MESSAGES/plasma_runner_marble.mo
+share/locale/ca/LC_MESSAGES/marble-behaim.mo
+share/locale/ca/LC_MESSAGES/marble-maps.mo
 share/locale/ca/LC_MESSAGES/marble.mo
 share/locale/ca/LC_MESSAGES/marble_qt.qm
 share/locale/ca/LC_MESSAGES/plasma_applet_org.kde.plasma.worldclock.mo
 share/locale/ca/LC_MESSAGES/plasma_runner_marble.mo
 share/locale/ca/LC_MESSAGES/plasma_wallpaper_org.kde.plasma.worldmap.mo
+share/locale/ca@valencia/LC_MESSAGES/marble-behaim.mo
+share/locale/ca@valencia/LC_MESSAGES/marble-maps.mo
 share/locale/ca@valencia/LC_MESSAGES/marble.mo
 share/locale/ca@valencia/LC_MESSAGES/marble_qt.qm
 share/locale/ca@valencia/LC_MESSAGES/plasma_applet_org.kde.plasma.worldclock.mo
 share/locale/ca@valencia/LC_MESSAGES/plasma_runner_marble.mo
 share/locale/ca@valencia/LC_MESSAGES/plasma_wallpaper_org.kde.plasma.worldmap.mo
+share/locale/cs/LC_MESSAGES/marble-behaim.mo
+share/locale/cs/LC_MESSAGES/marble-maps.mo
 share/locale/cs/LC_MESSAGES/marble.mo
 share/locale/cs/LC_MESSAGES/marble_qt.qm
 share/locale/cs/LC_MESSAGES/plasma_applet_org.kde.plasma.worldclock.mo
 share/locale/cs/LC_MESSAGES/plasma_runner_marble.mo
 share/locale/cs/LC_MESSAGES/plasma_wallpaper_org.kde.plasma.worldmap.mo
+share/locale/da/LC_MESSAGES/marble-maps.mo
 share/locale/da/LC_MESSAGES/marble.mo
 share/locale/da/LC_MESSAGES/marble_qt.qm
 share/locale/da/LC_MESSAGES/plasma_applet_org.kde.plasma.worldclock.mo
 share/locale/da/LC_MESSAGES/plasma_runner_marble.mo
 share/locale/da/LC_MESSAGES/plasma_wallpaper_org.kde.plasma.worldmap.mo
+share/locale/de/LC_MESSAGES/marble-behaim.mo
+share/locale/de/LC_MESSAGES/marble-maps.mo
 share/locale/de/LC_MESSAGES/marble.mo
 share/locale/de/LC_MESSAGES/marble_qt.qm
 share/locale/de/LC_MESSAGES/plasma_applet_org.kde.plasma.worldclock.mo
 share/locale/de/LC_MESSAGES/plasma_runner_marble.mo
 share/locale/de/LC_MESSAGES/plasma_wallpaper_org.kde.plasma.worldmap.mo
+share/locale/el/LC_MESSAGES/marble-maps.mo
 share/locale/el/LC_MESSAGES/marble.mo
 share/locale/el/LC_MESSAGES/marble_qt.qm
 share/locale/el/LC_MESSAGES/plasma_applet_org.kde.plasma.worldclock.mo
 share/locale/el/LC_MESSAGES/plasma_runner_marble.mo
 share/locale/el/LC_MESSAGES/plasma_wallpaper_org.kde.plasma.worldmap.mo
+share/locale/en/LC_MESSAGES/marble-maps.mo
 share/locale/en/LC_MESSAGES/marble_qt.qm
+share/locale/en_GB/LC_MESSAGES/marble-behaim.mo
+share/locale/en_GB/LC_MESSAGES/marble-maps.mo
 share/locale/en_GB/LC_MESSAGES/marble.mo
 share/locale/en_GB/LC_MESSAGES/marble_qt.qm
 share/locale/en_GB/LC_MESSAGES/plasma_applet_org.kde.plasma.worldclock.mo
 share/locale/en_GB/LC_MESSAGES/plasma_runner_marble.mo
 share/locale/en_GB/LC_MESSAGES/plasma_wallpaper_org.kde.plasma.worldmap.mo
+share/locale/eo/LC_MESSAGES/marble-maps.mo
 share/locale/eo/LC_MESSAGES/marble.mo
 share/locale/eo/LC_MESSAGES/marble_qt.qm
 share/locale/eo/LC_MESSAGES/plasma_applet_org.kde.plasma.worldclock.mo
 share/locale/eo/LC_MESSAGES/plasma_runner_marble.mo
 share/locale/eo/LC_MESSAGES/plasma_wallpaper_org.kde.plasma.worldmap.mo
+share/locale/es/LC_MESSAGES/marble-behaim.mo
+share/locale/es/LC_MESSAGES/marble-maps.mo
 share/locale/es/LC_MESSAGES/marble.mo
 share/locale/es/LC_MESSAGES/marble_qt.qm
 share/locale/es/LC_MESSAGES/plasma_applet_org.kde.plasma.worldclock.mo
 share/locale/es/LC_MESSAGES/plasma_runner_marble.mo
 share/locale/es/LC_MESSAGES/plasma_wallpaper_org.kde.plasma.worldmap.mo
+share/locale/et/LC_MESSAGES/marble-maps.mo
 share/locale/et/LC_MESSAGES/marble.mo
 share/locale/et/LC_MESSAGES/marble_qt.qm
 share/locale/et/LC_MESSAGES/plasma_applet_org.kde.plasma.worldclock.mo
 share/locale/et/LC_MESSAGES/plasma_runner_marble.mo
 share/locale/et/LC_MESSAGES/plasma_wallpaper_org.kde.plasma.worldmap.mo
+share/locale/eu/LC_MESSAGES/marble-behaim.mo
+share/locale/eu/LC_MESSAGES/marble-maps.mo
 share/locale/eu/LC_MESSAGES/marble.mo
 share/locale/eu/LC_MESSAGES/marble_qt.qm
 share/locale/eu/LC_MESSAGES/plasma_applet_org.kde.plasma.worldclock.mo
 share/locale/eu/LC_MESSAGES/plasma_runner_marble.mo
 share/locale/eu/LC_MESSAGES/plasma_wallpaper_org.kde.plasma.worldmap.mo
+share/locale/fi/LC_MESSAGES/marble-behaim.mo
+share/locale/fi/LC_MESSAGES/marble-maps.mo
 share/locale/fi/LC_MESSAGES/marble.mo
 share/locale/fi/LC_MESSAGES/marble_qt.qm
 share/locale/fi/LC_MESSAGES/plasma_applet_org.kde.plasma.worldclock.mo
 share/locale/fi/LC_MESSAGES/plasma_runner_marble.mo
 share/locale/fi/LC_MESSAGES/plasma_wallpaper_org.kde.plasma.worldmap.mo
+share/locale/fr/LC_MESSAGES/marble-behaim.mo
+share/locale/fr/LC_MESSAGES/marble-maps.mo
 share/locale/fr/LC_MESSAGES/marble.mo
 share/locale/fr/LC_MESSAGES/marble_qt.qm
 share/locale/fr/LC_MESSAGES/plasma_applet_org.kde.plasma.worldclock.mo
 share/locale/fr/LC_MESSAGES/plasma_runner_marble.mo
 share/locale/fr/LC_MESSAGES/plasma_wallpaper_org.kde.plasma.worldmap.mo
+share/locale/ga/LC_MESSAGES/marble-maps.mo
 share/locale/ga/LC_MESSAGES/marble.mo
 share/locale/ga/LC_MESSAGES/marble_qt.qm
 share/locale/ga/LC_MESSAGES/plasma_runner_marble.mo
+share/locale/gl/LC_MESSAGES/marble-behaim.mo
+share/locale/gl/LC_MESSAGES/marble-maps.mo
 share/locale/gl/LC_MESSAGES/marble.mo
 share/locale/gl/LC_MESSAGES/marble_qt.qm
 share/locale/gl/LC_MESSAGES/plasma_applet_org.kde.plasma.worldclock.mo
 share/locale/gl/LC_MESSAGES/plasma_runner_marble.mo
 share/locale/gl/LC_MESSAGES/plasma_wallpaper_org.kde.plasma.worldmap.mo
+share/locale/gu/LC_MESSAGES/marble-maps.mo
 share/locale/gu/LC_MESSAGES/marble.mo
 share/locale/gu/LC_MESSAGES/marble_qt.qm
+share/locale/he/LC_MESSAGES/marble-maps.mo
 share/locale/he/LC_MESSAGES/marble.mo
 share/locale/he/LC_MESSAGES/marble_qt.qm
+share/locale/he/LC_MESSAGES/plasma_runner_marble.mo
+share/locale/hi/LC_MESSAGES/marble-maps.mo
 share/locale/hi/LC_MESSAGES/marble.mo
 share/locale/hi/LC_MESSAGES/marble_qt.qm
 share/locale/hne/LC_MESSAGES/marble.mo
+share/locale/hr/LC_MESSAGES/marble-maps.mo
 share/locale/hr/LC_MESSAGES/marble.mo
 share/locale/hr/LC_MESSAGES/marble_qt.qm
+share/locale/hu/LC_MESSAGES/marble-maps.mo
 share/locale/hu/LC_MESSAGES/marble.mo
 share/locale/hu/LC_MESSAGES/marble_qt.qm
 share/locale/hu/LC_MESSAGES/plasma_runner_marble.mo
+share/locale/id/LC_MESSAGES/marble-maps.mo
 share/locale/id/LC_MESSAGES/marble.mo
 share/locale/id/LC_MESSAGES/marble_qt.qm
 share/locale/id/LC_MESSAGES/plasma_applet_org.kde.plasma.worldclock.mo
 share/locale/id/LC_MESSAGES/plasma_runner_marble.mo
 share/locale/id/LC_MESSAGES/plasma_wallpaper_org.kde.plasma.worldmap.mo
+share/locale/is/LC_MESSAGES/marble-maps.mo
 share/locale/is/LC_MESSAGES/marble.mo
 share/locale/is/LC_MESSAGES/marble_qt.qm
 share/locale/is/LC_MESSAGES/plasma_applet_org.kde.plasma.worldclock.mo
 share/locale/is/LC_MESSAGES/plasma_runner_marble.mo
 share/locale/is/LC_MESSAGES/plasma_wallpaper_org.kde.plasma.worldmap.mo
+share/locale/it/LC_MESSAGES/marble-behaim.mo
+share/locale/it/LC_MESSAGES/marble-maps.mo
 share/locale/it/LC_MESSAGES/marble.mo
 share/locale/it/LC_MESSAGES/marble_qt.qm
 share/locale/it/LC_MESSAGES/plasma_applet_org.kde.plasma.worldclock.mo
 share/locale/it/LC_MESSAGES/plasma_runner_marble.mo
 share/locale/it/LC_MESSAGES/plasma_wallpaper_org.kde.plasma.worldmap.mo
+share/locale/ja/LC_MESSAGES/marble-maps.mo
 share/locale/ja/LC_MESSAGES/marble.mo
 share/locale/ja/LC_MESSAGES/marble_qt.qm
 share/locale/ja/LC_MESSAGES/plasma_applet_org.kde.plasma.worldclock.mo
 share/locale/ja/LC_MESSAGES/plasma_runner_marble.mo
 share/locale/ja/LC_MESSAGES/plasma_wallpaper_org.kde.plasma.worldmap.mo
+share/locale/ka/LC_MESSAGES/marble-behaim.mo
+share/locale/ka/LC_MESSAGES/marble-maps.mo
 share/locale/ka/LC_MESSAGES/marble.mo
 share/locale/ka/LC_MESSAGES/marble_qt.qm
 share/locale/ka/LC_MESSAGES/plasma_applet_org.kde.plasma.worldclock.mo
 share/locale/ka/LC_MESSAGES/plasma_runner_marble.mo
 share/locale/ka/LC_MESSAGES/plasma_wallpaper_org.kde.plasma.worldmap.mo
+share/locale/kk/LC_MESSAGES/marble-maps.mo
 share/locale/kk/LC_MESSAGES/marble.mo
 share/locale/kk/LC_MESSAGES/marble_qt.qm
 share/locale/kk/LC_MESSAGES/plasma_runner_marble.mo
+share/locale/km/LC_MESSAGES/marble-maps.mo
 share/locale/km/LC_MESSAGES/marble.mo
 share/locale/km/LC_MESSAGES/marble_qt.qm
+share/locale/ko/LC_MESSAGES/marble-maps.mo
 share/locale/ko/LC_MESSAGES/marble.mo
 share/locale/ko/LC_MESSAGES/marble_qt.qm
 share/locale/ko/LC_MESSAGES/plasma_applet_org.kde.plasma.worldclock.mo
 share/locale/ko/LC_MESSAGES/plasma_runner_marble.mo
 share/locale/ko/LC_MESSAGES/plasma_wallpaper_org.kde.plasma.worldmap.mo
+share/locale/lt/LC_MESSAGES/marble-maps.mo
 share/locale/lt/LC_MESSAGES/marble.mo
 share/locale/lt/LC_MESSAGES/marble_qt.qm
 share/locale/lt/LC_MESSAGES/plasma_applet_org.kde.plasma.worldclock.mo
 share/locale/lt/LC_MESSAGES/plasma_runner_marble.mo
 share/locale/lt/LC_MESSAGES/plasma_wallpaper_org.kde.plasma.worldmap.mo
+share/locale/lv/LC_MESSAGES/marble-behaim.mo
+share/locale/lv/LC_MESSAGES/marble-maps.mo
 share/locale/lv/LC_MESSAGES/marble.mo
 share/locale/lv/LC_MESSAGES/marble_qt.qm
+share/locale/lv/LC_MESSAGES/plasma_applet_org.kde.plasma.worldclock.mo
 share/locale/lv/LC_MESSAGES/plasma_runner_marble.mo
+share/locale/lv/LC_MESSAGES/plasma_wallpaper_org.kde.plasma.worldmap.mo
 share/locale/mai/LC_MESSAGES/marble.mo
+share/locale/ml/LC_MESSAGES/marble-maps.mo
 share/locale/ml/LC_MESSAGES/marble.mo
 share/locale/ml/LC_MESSAGES/marble_qt.qm
 share/locale/ml/LC_MESSAGES/plasma_applet_org.kde.plasma.worldclock.mo
 share/locale/ml/LC_MESSAGES/plasma_runner_marble.mo
 share/locale/ml/LC_MESSAGES/plasma_wallpaper_org.kde.plasma.worldmap.mo
+share/locale/mr/LC_MESSAGES/marble-maps.mo
 share/locale/mr/LC_MESSAGES/marble.mo
 share/locale/mr/LC_MESSAGES/marble_qt.qm
 share/locale/mr/LC_MESSAGES/plasma_runner_marble.mo
+share/locale/nb/LC_MESSAGES/marble-maps.mo
 share/locale/nb/LC_MESSAGES/marble.mo
 share/locale/nb/LC_MESSAGES/marble_qt.qm
 share/locale/nb/LC_MESSAGES/plasma_runner_marble.mo
+share/locale/nds/LC_MESSAGES/marble-maps.mo
 share/locale/nds/LC_MESSAGES/marble.mo
 share/locale/nds/LC_MESSAGES/marble_qt.qm
 share/locale/nds/LC_MESSAGES/plasma_runner_marble.mo
+share/locale/nl/LC_MESSAGES/marble-behaim.mo
+share/locale/nl/LC_MESSAGES/marble-maps.mo
 share/locale/nl/LC_MESSAGES/marble.mo
 share/locale/nl/LC_MESSAGES/marble_qt.qm
 share/locale/nl/LC_MESSAGES/plasma_applet_org.kde.plasma.worldclock.mo
 share/locale/nl/LC_MESSAGES/plasma_runner_marble.mo
 share/locale/nl/LC_MESSAGES/plasma_wallpaper_org.kde.plasma.worldmap.mo
+share/locale/nn/LC_MESSAGES/marble-maps.mo
 share/locale/nn/LC_MESSAGES/marble.mo
 share/locale/nn/LC_MESSAGES/marble_qt.qm
 share/locale/nn/LC_MESSAGES/plasma_applet_org.kde.plasma.worldclock.mo
 share/locale/nn/LC_MESSAGES/plasma_runner_marble.mo
 share/locale/nn/LC_MESSAGES/plasma_wallpaper_org.kde.plasma.worldmap.mo
+share/locale/oc/LC_MESSAGES/marble-maps.mo
 share/locale/oc/LC_MESSAGES/marble.mo
 share/locale/oc/LC_MESSAGES/marble_qt.qm
+share/locale/pa/LC_MESSAGES/marble-maps.mo
 share/locale/pa/LC_MESSAGES/marble.mo
 share/locale/pa/LC_MESSAGES/marble_qt.qm
 share/locale/pa/LC_MESSAGES/plasma_runner_marble.mo
+share/locale/pl/LC_MESSAGES/marble-behaim.mo
+share/locale/pl/LC_MESSAGES/marble-maps.mo
 share/locale/pl/LC_MESSAGES/marble.mo
 share/locale/pl/LC_MESSAGES/marble_qt.qm
 share/locale/pl/LC_MESSAGES/plasma_applet_org.kde.plasma.worldclock.mo
 share/locale/pl/LC_MESSAGES/plasma_runner_marble.mo
 share/locale/pl/LC_MESSAGES/plasma_wallpaper_org.kde.plasma.worldmap.mo
+share/locale/pt/LC_MESSAGES/marble-maps.mo
 share/locale/pt/LC_MESSAGES/marble.mo
 share/locale/pt/LC_MESSAGES/marble_qt.qm
 share/locale/pt/LC_MESSAGES/plasma_applet_org.kde.plasma.worldclock.mo
 share/locale/pt/LC_MESSAGES/plasma_runner_marble.mo
 share/locale/pt/LC_MESSAGES/plasma_wallpaper_org.kde.plasma.worldmap.mo
+share/locale/pt_BR/LC_MESSAGES/marble-maps.mo
 share/locale/pt_BR/LC_MESSAGES/marble.mo
 share/locale/pt_BR/LC_MESSAGES/marble_qt.qm
 share/locale/pt_BR/LC_MESSAGES/plasma_applet_org.kde.plasma.worldclock.mo
 share/locale/pt_BR/LC_MESSAGES/plasma_runner_marble.mo
 share/locale/pt_BR/LC_MESSAGES/plasma_wallpaper_org.kde.plasma.worldmap.mo
+share/locale/ro/LC_MESSAGES/marble-maps.mo
 share/locale/ro/LC_MESSAGES/marble.mo
 share/locale/ro/LC_MESSAGES/marble_qt.qm
 share/locale/ro/LC_MESSAGES/plasma_applet_org.kde.plasma.worldclock.mo
+share/locale/ru/LC_MESSAGES/marble-maps.mo
 share/locale/ru/LC_MESSAGES/marble.mo
 share/locale/ru/LC_MESSAGES/marble_qt.qm
 share/locale/ru/LC_MESSAGES/plasma_applet_org.kde.plasma.worldclock.mo
 share/locale/ru/LC_MESSAGES/plasma_runner_marble.mo
 share/locale/ru/LC_MESSAGES/plasma_wallpaper_org.kde.plasma.worldmap.mo
+share/locale/se/LC_MESSAGES/marble-maps.mo
 share/locale/se/LC_MESSAGES/marble.mo
 share/locale/se/LC_MESSAGES/marble_qt.qm
+share/locale/si/LC_MESSAGES/marble-maps.mo
 share/locale/si/LC_MESSAGES/marble.mo
 share/locale/si/LC_MESSAGES/marble_qt.qm
+share/locale/sk/LC_MESSAGES/marble-behaim.mo
+share/locale/sk/LC_MESSAGES/marble-maps.mo
 share/locale/sk/LC_MESSAGES/marble.mo
 share/locale/sk/LC_MESSAGES/marble_qt.qm
 share/locale/sk/LC_MESSAGES/plasma_applet_org.kde.plasma.worldclock.mo
 share/locale/sk/LC_MESSAGES/plasma_runner_marble.mo
 share/locale/sk/LC_MESSAGES/plasma_wallpaper_org.kde.plasma.worldmap.mo
+share/locale/sl/LC_MESSAGES/marble-behaim.mo
+share/locale/sl/LC_MESSAGES/marble-maps.mo
 share/locale/sl/LC_MESSAGES/marble.mo
 share/locale/sl/LC_MESSAGES/marble_qt.qm
 share/locale/sl/LC_MESSAGES/plasma_applet_org.kde.plasma.worldclock.mo
 share/locale/sl/LC_MESSAGES/plasma_runner_marble.mo
 share/locale/sl/LC_MESSAGES/plasma_wallpaper_org.kde.plasma.worldmap.mo
+share/locale/sv/LC_MESSAGES/marble-behaim.mo
+share/locale/sv/LC_MESSAGES/marble-maps.mo
 share/locale/sv/LC_MESSAGES/marble.mo
 share/locale/sv/LC_MESSAGES/marble_qt.qm
 share/locale/sv/LC_MESSAGES/plasma_applet_org.kde.plasma.worldclock.mo
 share/locale/sv/LC_MESSAGES/plasma_runner_marble.mo
 share/locale/sv/LC_MESSAGES/plasma_wallpaper_org.kde.plasma.worldmap.mo
 share/locale/th/LC_MESSAGES/marble.mo
+share/locale/tr/LC_MESSAGES/marble-behaim.mo
+share/locale/tr/LC_MESSAGES/marble-maps.mo
 share/locale/tr/LC_MESSAGES/marble.mo
 share/locale/tr/LC_MESSAGES/marble_qt.qm
 share/locale/tr/LC_MESSAGES/plasma_applet_org.kde.plasma.worldclock.mo
 share/locale/tr/LC_MESSAGES/plasma_runner_marble.mo
 share/locale/tr/LC_MESSAGES/plasma_wallpaper_org.kde.plasma.worldmap.mo
+share/locale/ug/LC_MESSAGES/marble-maps.mo
 share/locale/ug/LC_MESSAGES/marble.mo
 share/locale/ug/LC_MESSAGES/marble_qt.qm
 share/locale/ug/LC_MESSAGES/plasma_runner_marble.mo
+share/locale/uk/LC_MESSAGES/marble-behaim.mo
+share/locale/uk/LC_MESSAGES/marble-maps.mo
 share/locale/uk/LC_MESSAGES/marble.mo
 share/locale/uk/LC_MESSAGES/marble_qt.qm
 share/locale/uk/LC_MESSAGES/plasma_applet_org.kde.plasma.worldclock.mo
 share/locale/uk/LC_MESSAGES/plasma_runner_marble.mo
 share/locale/uk/LC_MESSAGES/plasma_wallpaper_org.kde.plasma.worldmap.mo
+share/locale/wa/LC_MESSAGES/marble-maps.mo
 share/locale/wa/LC_MESSAGES/marble.mo
 share/locale/wa/LC_MESSAGES/marble_qt.qm
+share/locale/zh_CN/LC_MESSAGES/marble-behaim.mo
+share/locale/zh_CN/LC_MESSAGES/marble-maps.mo
 share/locale/zh_CN/LC_MESSAGES/marble.mo
 share/locale/zh_CN/LC_MESSAGES/marble_qt.qm
 share/locale/zh_CN/LC_MESSAGES/plasma_applet_org.kde.plasma.worldclock.mo
 share/locale/zh_CN/LC_MESSAGES/plasma_runner_marble.mo
 share/locale/zh_CN/LC_MESSAGES/plasma_wallpaper_org.kde.plasma.worldmap.mo
+share/locale/zh_TW/LC_MESSAGES/marble-maps.mo
 share/locale/zh_TW/LC_MESSAGES/marble.mo
 share/locale/zh_TW/LC_MESSAGES/marble_qt.qm
 share/locale/zh_TW/LC_MESSAGES/plasma_applet_org.kde.plasma.worldclock.mo
 share/locale/zh_TW/LC_MESSAGES/plasma_runner_marble.mo
 share/locale/zh_TW/LC_MESSAGES/plasma_wallpaper_org.kde.plasma.worldmap.mo
-%%DATADIR%%/data/LICENSE.txt
 %%DATADIR%%/data/audio/KDE-Sys-App-Positive.ogg
 %%DATADIR%%/data/audio/KDE-Sys-List-End.ogg
 %%DATADIR%%/data/bitmaps/airport.png
@@ -1796,18 +1881,7 @@ share/locale/zh_TW/LC_MESSAGES/plasma_wallpaper_org.kde.plasma.worldmap.mo
 %%DATADIR%%/data/weather/weather-storm.png
 %%DATADIR%%/data/weather/wind-arrows.svgz
 share/metainfo/org.kde.marble.appdata.xml
-share/metainfo/org.kde.plasma.worldclock.appdata.xml
-share/metainfo/org.kde.plasma.worldmap.appdata.xml
+share/metainfo/org.kde.marble.behaim.appdata.xml
+share/metainfo/org.kde.marble.maps.appdata.xml
 share/mime/packages/geo.xml
-share/plasma/plasmoids/org.kde.plasma.worldclock/contents/config/config.qml
-share/plasma/plasmoids/org.kde.plasma.worldclock/contents/config/main.xml
-share/plasma/plasmoids/org.kde.plasma.worldclock/contents/ui/configMapDisplay.qml
-share/plasma/plasmoids/org.kde.plasma.worldclock/contents/ui/configTimeZones.qml
-share/plasma/plasmoids/org.kde.plasma.worldclock/contents/ui/main.qml
-share/plasma/plasmoids/org.kde.plasma.worldclock/metadata.desktop
-share/plasma/plasmoids/org.kde.plasma.worldclock/metadata.json
-share/plasma/wallpapers/org.kde.plasma.worldmap/contents/config/main.xml
-share/plasma/wallpapers/org.kde.plasma.worldmap/contents/ui/config.qml
-share/plasma/wallpapers/org.kde.plasma.worldmap/contents/ui/main.qml
-share/plasma/wallpapers/org.kde.plasma.worldmap/metadata.desktop
-share/plasma/wallpapers/org.kde.plasma.worldmap/metadata.json
+share/qlogging-categories6/marble.categories
diff --git a/audio/Makefile b/audio/Makefile
index d87992a6793b..70cbe7dc192f 100644
--- a/audio/Makefile
+++ b/audio/Makefile
@@ -596,8 +596,6 @@
     SUBDIR += pipewire-module-xrdp
     SUBDIR += pipewire-spa-oss
     SUBDIR += pithos
-    SUBDIR += plasma5-kpipewire
-    SUBDIR += plasma5-plasma-pa
     SUBDIR += plasma6-kpipewire
     SUBDIR += plasma6-ocean-sound-theme
     SUBDIR += plasma6-oxygen-sounds
diff --git a/audio/audiocd-kio/Makefile b/audio/audiocd-kio/Makefile
index 2fd459721e4d..674e389ad7bd 100644
--- a/audio/audiocd-kio/Makefile
+++ b/audio/audiocd-kio/Makefile
@@ -12,19 +12,17 @@ LIB_DEPENDS=	libFLAC.so:audio/flac \
 		libcdda_paranoia.so:audio/cdparanoia \
 		libogg.so:audio/libogg \
 		libvorbis.so:audio/libvorbis \
-		libKF5Cddb.so:audio/libkcddb \
-		libKF5CompactDisc.so:audio/libkcompactdisc
+		libKCddb6.so:audio/libkcddb \
+		libKCompactDisc6.so:audio/libkcompactdisc
 
-USES=		cmake compiler:c++11-lang gettext kde:5 qt:5 tar:xz
+USES=		cmake compiler:c++11-lang gettext kde:6 qt:6 tar:xz
 USE_KDE=	auth bookmarks codecs completion config configwidgets \
 		coreaddons crash guiaddons i18n iconthemes itemviews \
-		jobwidgets kcmutils kdelibs4support kio notifications parts \
-		phonon service solid sonnet textwidgets unitconversion widgetsaddons \
+		jobwidgets kcmutils kio notifications parts phonon service \
+		solid sonnet textwidgets unitconversion widgetsaddons \
 		windowsystem xmlgui \
 		ecm:build
-USE_QT=		concurrent core dbus gui network printsupport widgets \
-		xml \
-		buildtools:build qmake:build
+USE_QT=		base
 
 USE_LDCONFIG=	yes
 
diff --git a/audio/audiocd-kio/distinfo b/audio/audiocd-kio/distinfo
index cbcfd1ad8a50..a0daad00b7b5 100644
--- a/audio/audiocd-kio/distinfo
+++ b/audio/audiocd-kio/distinfo
@@ -1,3 +1,3 @@
-TIMESTAMP = 1707889370
-SHA256 (KDE/release-service/23.08.5/audiocd-kio-23.08.5.tar.xz) = 55c8bce983456532b799ad785525fbf36e3381e90388d1016b4b31c7f14023c7
-SIZE (KDE/release-service/23.08.5/audiocd-kio-23.08.5.tar.xz) = 565064
+TIMESTAMP = 1734460018
+SHA256 (KDE/release-service/24.12.0/audiocd-kio-24.12.0.tar.xz) = 33f2b0c95081f3102f56ede6d0b06d0f405f80f73eceb0a915da23a2a04bc9d8
+SIZE (KDE/release-service/24.12.0/audiocd-kio-24.12.0.tar.xz) = 580120
diff --git a/audio/audiocd-kio/pkg-plist b/audio/audiocd-kio/pkg-plist
index ca2290be7feb..69e91f9f8b95 100644
--- a/audio/audiocd-kio/pkg-plist
+++ b/audio/audiocd-kio/pkg-plist
@@ -4,7 +4,7 @@ include/audiocdplugins/audiocdplugins_version.h
 lib/libaudiocdplugins.so
 lib/libaudiocdplugins.so.5
 lib/libaudiocdplugins.so.5.1.0
-%%QT_PLUGINDIR%%/kf5/kio/audiocd.so
+%%QT_PLUGINDIR%%/kf6/kio/audiocd.so
 %%QT_PLUGINDIR%%/libaudiocd_encoder_flac.so
 %%QT_PLUGINDIR%%/libaudiocd_encoder_lame.so
 %%QT_PLUGINDIR%%/libaudiocd_encoder_opus.so
@@ -23,6 +23,12 @@ share/locale/ar/LC_MESSAGES/audiocd_encoder_opus.mo
 share/locale/ar/LC_MESSAGES/audiocd_encoder_vorbis.mo
 share/locale/ar/LC_MESSAGES/kcmaudiocd.mo
 share/locale/ar/LC_MESSAGES/kio_audiocd.mo
+share/locale/ast/LC_MESSAGES/audiocd_encoder_flac.mo
+share/locale/ast/LC_MESSAGES/audiocd_encoder_lame.mo
+share/locale/ast/LC_MESSAGES/audiocd_encoder_opus.mo
+share/locale/ast/LC_MESSAGES/audiocd_encoder_vorbis.mo
+share/locale/ast/LC_MESSAGES/kcmaudiocd.mo
+share/locale/ast/LC_MESSAGES/kio_audiocd.mo
 share/locale/az/LC_MESSAGES/audiocd_encoder_flac.mo
 share/locale/az/LC_MESSAGES/audiocd_encoder_lame.mo
 share/locale/az/LC_MESSAGES/audiocd_encoder_opus.mo
@@ -97,6 +103,7 @@ share/locale/en_GB/LC_MESSAGES/kcmaudiocd.mo
 share/locale/en_GB/LC_MESSAGES/kio_audiocd.mo
 share/locale/eo/LC_MESSAGES/audiocd_encoder_flac.mo
 share/locale/eo/LC_MESSAGES/audiocd_encoder_lame.mo
+share/locale/eo/LC_MESSAGES/audiocd_encoder_opus.mo
 share/locale/eo/LC_MESSAGES/audiocd_encoder_vorbis.mo
 share/locale/eo/LC_MESSAGES/kcmaudiocd.mo
 share/locale/eo/LC_MESSAGES/kio_audiocd.mo
@@ -144,7 +151,9 @@ share/locale/gl/LC_MESSAGES/audiocd_encoder_opus.mo
 share/locale/gl/LC_MESSAGES/audiocd_encoder_vorbis.mo
 share/locale/gl/LC_MESSAGES/kcmaudiocd.mo
 share/locale/gl/LC_MESSAGES/kio_audiocd.mo
+share/locale/he/LC_MESSAGES/audiocd_encoder_flac.mo
 share/locale/he/LC_MESSAGES/audiocd_encoder_lame.mo
+share/locale/he/LC_MESSAGES/audiocd_encoder_opus.mo
 share/locale/he/LC_MESSAGES/audiocd_encoder_vorbis.mo
 share/locale/he/LC_MESSAGES/kcmaudiocd.mo
 share/locale/he/LC_MESSAGES/kio_audiocd.mo
@@ -218,7 +227,9 @@ share/locale/lt/LC_MESSAGES/audiocd_encoder_opus.mo
 share/locale/lt/LC_MESSAGES/audiocd_encoder_vorbis.mo
 share/locale/lt/LC_MESSAGES/kcmaudiocd.mo
 share/locale/lt/LC_MESSAGES/kio_audiocd.mo
+share/locale/lv/LC_MESSAGES/audiocd_encoder_flac.mo
 share/locale/lv/LC_MESSAGES/audiocd_encoder_lame.mo
+share/locale/lv/LC_MESSAGES/audiocd_encoder_opus.mo
 share/locale/lv/LC_MESSAGES/audiocd_encoder_vorbis.mo
 share/locale/lv/LC_MESSAGES/kcmaudiocd.mo
 share/locale/lv/LC_MESSAGES/kio_audiocd.mo
@@ -393,6 +404,6 @@ share/locale/zh_TW/LC_MESSAGES/audiocd_encoder_vorbis.mo
 share/locale/zh_TW/LC_MESSAGES/kcmaudiocd.mo
 share/locale/zh_TW/LC_MESSAGES/kio_audiocd.mo
 share/metainfo/org.kde.kio_audiocd.metainfo.xml
-share/qlogging-categories5/kio_audiocd.categories
-share/qlogging-categories5/kio_audiocd.renamecategories
+share/qlogging-categories6/kio_audiocd.categories
+share/qlogging-categories6/kio_audiocd.renamecategories
 share/solid/actions/solid_audiocd.desktop
diff --git a/audio/elisa/Makefile b/audio/elisa/Makefile
index 90566987ab91..a029365c1574 100644
--- a/audio/elisa/Makefile
+++ b/audio/elisa/Makefile
@@ -9,20 +9,18 @@ WWW=		https://userbase.kde.org/Elisa
 LICENSE=	LGPL3+
 LICENSE_FILE=	${WRKSRC}/COPYING
 
-USES=		cmake compiler:c++14-lang desktop-file-utils gettext kde:5 \
-		pkgconfig qt:5 tar:xz xorg
+USES=		cmake compiler:c++14-lang desktop-file-utils gettext kde:6 \
+		pkgconfig qt:6 tar:xz xorg
 USE_KDE=	auth baloo bookmarks codecs completion config configwidgets \
 		coreaddons crash dbusaddons filemetadata i18n iconthemes \
-		itemviews jobwidgets kcmutils kdeclarative kio kirigami2 \
-		package service solid widgetsaddons windowsystem xmlgui \
+		itemviews jobwidgets kcmutils kdeclarative kio kirigami-addons \
+		kirigami2 package qqc2-desktop-style service solid \
+		widgetsaddons windowsystem xmlgui \
 		ecm:build
-USE_QT=		concurrent core dbus declarative gui multimedia network \
-		quickcontrols2 sql svg widgets xml \
-		buildtools:build declarative-test:build qmake:build \
-		testlib:build
+USE_QT=		base multimedia
 USE_XORG=	x11
 
-OPTIONS_DEFINE=	DOCS VLC
+OPTIONS_DEFINE=		DOCS VLC
 OPTIONS_DEFAULT=	DOCS VLC
 
 VLC_DESC=		Use VLC instead of QtMultimedia
diff --git a/audio/elisa/distinfo b/audio/elisa/distinfo
index 873c510adb6e..22a59445a689 100644
--- a/audio/elisa/distinfo
+++ b/audio/elisa/distinfo
@@ -1,3 +1,3 @@
-TIMESTAMP = 1707889367
-SHA256 (KDE/release-service/23.08.5/elisa-23.08.5.tar.xz) = 872cc4f1be3177c92906bf1b47d7f36729e3c4a741099c7a62d8b170eb02b4c2
-SIZE (KDE/release-service/23.08.5/elisa-23.08.5.tar.xz) = 1814776
+TIMESTAMP = 1734460021
+SHA256 (KDE/release-service/24.12.0/elisa-24.12.0.tar.xz) = 75202d8541aacea3babf84bd021a8aeffb3ee4268fc382b03a00d619de73ff8d
+SIZE (KDE/release-service/24.12.0/elisa-24.12.0.tar.xz) = 1924748
